com.hazelcast.config

## Enum InMemoryFormat

- java.lang.Object
- - java.lang.Enum<InMemoryFormat>
  - - com.hazelcast.config.InMemoryFormat

- All Implemented Interfaces:
    Serializable, Comparable<InMemoryFormat>

      public enum InMemoryFormat
      extends Enum<InMemoryFormat>

  Storage format type of values stored in cluster

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY` As Binary
    `NATIVE` As native storage
    `OBJECT` As Object

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InMemoryFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InMemoryFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BINARY

          public static final InMemoryFormat BINARY

      As Binary

    - #### OBJECT

          public static final InMemoryFormat OBJECT

      As Object

    - #### NATIVE

          public static final InMemoryFormat NATIVE

      As native storage

  - ### Method Detail

    - #### values

          public static InMemoryFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InMemoryFormat c : InMemoryFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InMemoryFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All rights reserved.